use bevy::prelude::*;
use iyes_loopless::prelude::AppLooplessStateExt;

use crate::system::flow::AppState;

#[derive(Debug, Clone, Copy, Component)]
pub struct GameEntity;
#[derive(Debug, Clone, Copy, Component)]
pub struct Player;

pub fn remove_game_entities(mut commands: Commands, query: Query<Entity, With<GameEntity>>) {
	for entity in &query {
		commands.entity(entity).despawn_recursive();
	}
}

pub struct EntityLifecyclePlugin;
impl Plugin for EntityLifecyclePlugin {
	fn build(&self, app: &mut App) {
		app.add_exit_system(AppState::InGame, remove_game_entities);
	}
}
